# datasource config
spring.datasource.driver-class-name=com.taosdata.jdbc.rs.RestfulDriver
spring.datasource.url=jdbc:TAOS-RS://192.168.13.87:16042/?charset=UTF-8&locale=en_US.UTF-8&timezone=UTC-8&batchfetch=true&httpConnectTimeout=60000&messageWaitTimeout=60000&httpPoolSize=10&maxSQLLength=1048576

#spring.datasource.driver-class-name=com.taosdata.jdbc.TSDBDriver
#spring.datasource.url=jdbc:TAOS://:/?user=root&password=taosdata&charset=UTF-8&locale=en_US.UTF-8&timezone=UTC-8&batchErrorIgnore=true
spring.datasource.username=root
spring.datasource.password=taosdata
spring.datasource.hikari.minimum-idle=1
spring.datasource.hikari.maximum-pool-size=10
spring.datasource.hikari.connection-timeout=15000
spring.datasource.hikari.idle-timeout=10000
spring.datasource.hikari.max-lifetime=30000

#spring.datasource.druid.initial-size=5
#spring.datasource.druid.min-idle=5
#spring.datasource.druid.max-active=5
## max wait time for get connection, ms
#spring.datasource.druid.max-wait=60000
#
#spring.datasource.druid.validation-query=select server_status();
#spring.datasource.druid.validation-query-timeout=5000
#spring.datasource.druid.test-on-borrow=false
#spring.datasource.druid.test-on-return=false
#spring.datasource.druid.test-while-idle=true
#spring.datasource.druid.time-between-eviction-runs-millis=60000
#spring.datasource.druid.min-evictable-idle-time-millis=600000
#spring.datasource.druid.max-evictable-idle-time-millis=900000

# mybatis
mybatis.mapper-locations=classpath:mapper/*.xml

mysql.driver=com.mysql.jdbc.Driver
mysql.url=jdbc:mysql://192.168.11.131:3306/bigdata?useUnicode=true&characterEncoding=UTF-8&serverTimezone=UTC&zeroDateTimeBehavior=convertToNull&useInformationSchema=true&useSSL=false&allowMultiQueries=true
mysql.ip=192.168.11.131
mysql.username=root
mysql.password=root123QWE

# log
logging.level.com.taosdata.jdbc.springbootdemo.dao=debug

kafka=192.168.11.136:9092,192.168.11.152:9092,192.168.11.138:9092
kafka.group.id=stream_to_tdengine_hex_dev
kafka.topics=US_PACKET_NJ
#kafka.topics=US_PACKET_NJ,US_PACKET,US_PACKET_FB
kafka.send.time=1000
zookeeper=192.168.11.130:2181,192.168.11.131:2181,192.168.11.132:2181/kafka2023

config.url=http://192.168.11.8/config.xml
# Redis cluster config
spring.redis.cluster.nodes=\
  192.168.11.124:7001\
  ,192.168.11.124:7002\
  ,192.168.11.124:7003\
  ,192.168.11.125:7004\
  ,192.168.11.125:7005\
  ,192.168.11.125:7006